#include <vector>
#include <algorithm>
#include <stdio.h>

void solve() {
    std::vector<int> r;
    int size;
    scanf("%d", &size);
    for (int i = 0; i < size; i++) {
        int a;
        scanf("%d", &a);
        r.push_back(a);
    }

    std::vector<int> sum;
    for (int i = 0; i < r.size(); i++)
        if (i == 0)
            sum.push_back(r[0]);
        else
            sum.push_back(r[i] + sum[i - 1]);

    std::vector<double> res;
    for (int i = 0; i < size; i++) {
        double result = 0;
        if (i > 0) {
            result = std::max(result, res[i - 1]);
            result = std::max(result, r[i] - sum[i - 1] / double(i));
        }

        for (int j = 0; j < int(res.size()) - 1; j++)
            result = std::max(result, r[i] - (sum[i - 1] - sum[j]) / double(i - 1 - j) + res[j]);

        res.push_back(result);
    }

    printf("%.2lf\n", res[res.size() - 1]);
}

int main() {
    solve();
    return 0;
}
 
