#include <stdio.h>
#include <algorithm>
#include <vector>

int main()
{
    int n, h;
    std::vector<std::pair<int, int>> raptors;

    scanf("%d %d", &n, &h);
    for (int i = 0; i < n; i++) {
        int h, l;
        scanf("%d %d", &h, &l);
        raptors.push_back(std::pair<int, int>(h, l));
    }

    std::sort(raptors.begin(), raptors.end());

    int res[n];
    for (int i = 0; i < n; i++) {
        int mx = 0;
        for (int j = 0; j < i; j++)
            if (raptors[i].first > raptors[j].first && raptors[i].second < raptors[j].second)
                mx = std::max(mx, res[j]);

        res[i] = raptors[i].first + mx;
        if (res[i] >= h) {
            printf("YES\n");
            return 0;
        }
    }

    printf("NO\n");
    return 0;
}
