#include <QCoreApplication>
#include <QDebug>

const int width = 11;
const int height = 8;
bool w[width][height];

long long solve(int x, int y, int count) {
    if (w[y][x] || x == 0 || y == 0 || x == width - 1 || y == height - 1)
        return 0;

    if (count == 0)
        return 1;

    w[y][x] = true;

    long long res = 0;
    res += solve(x - 1, y, count - 1);
    res += solve(x + 1, y, count - 1);
    res += solve(x, y - 1, count - 1);
    res += solve(x, y + 1, count - 1);

    w[y][x] = false;

    return res;
}

int main()
{
    for (int i = 1; i <= 30; i++) {
        QString inp = QString::asprintf("%03d.dat", i);
        QString out = QString::asprintf("%03d.ans", i);

        freopen(inp.toUtf8().constData(), "w", stdout);
        printf("%d\n",i);
        fclose(stdout);

        int res = solve(5, 6, i);
        freopen(out.toUtf8().constData(), "w", stdout);
        printf("%d\n", res);
        fclose(stdout);

        qDebug() << "else if (n ==" << i << ")" << "printf(\"" << res << "\");";
    }

    return 0;
}
